using System;

namespace kvalifikacije
{
    class Program
    {
        static void Main(string[] args)
        {
            string[] niz = Console.ReadLine().Split();
            int n = Int32.Parse(niz[0]);
            int m= Int32.Parse(niz[1]);
            int[] x = new int[n];
            int[] y = new int[m*2];
            int[] z = new int[n];
            int s = 0;
            int flag=0;
            int br = 0;
            for (int i = 0; i<n;i++)
            {
                x[i] = int.Parse(Console.ReadLine());
                z[i] = 0;
                if (x[i] < 0)
                    flag++;
            }
            for(int i = 0;i<m;i++)
            {
                string[] M = Console.ReadLine().Split();
                y[br] = Int32.Parse(M[0]);
                y[br+1] = Int32.Parse(M[1]);
                br += 2;
            }
            int j = 0;
            while(j<n)
            {
                for(int i = 0; i<br;i++)
                {
                    if (j+1 == y[i])
                        z[j]++;
                }
                j++;
            }
            if (flag==0)
            {
                for (int i = 0; i < n; i++)
                {
                        s += x[i] * z[i];
                }
            }
            else
            {
                for (int i = 0; i < n; i++)
                {
                        s += x[i] * (0-z[i]);
                }
            }
            Console.WriteLine(s);
        }
    }
}